<form novalidate #form="ngForm" autocomplete="off" (submit)="updateRecord(form)">
  <input type="hidden" name="id" [value]="service.userRoleFormData.id">
  <div class="form-group">
    <label>User fullname</label>
    <input class="form-control form-control-lg" readonly="readonly" placeholder="User fullname..." name="fullName"
           #fullName="ngModel" [(ngModel)]="service.userRoleFormData.fullName" required maxlength="50" minlength="1"
           [class.invalid]="fullName.invalid && fullName.touched">
  </div>
  <div class="form-group">
    <label>User role</label>
    <select class="form-control form-control-lg" name="userRoleSel" #userRoleSel="ngModel"
            [(ngModel)]="service.userRoleFormData.role" [class.invalid]="userRoleSel.invalid && userRoleSel.touched">
      <option value="Employee">Employee</option>
      <option value="Manager">Manager</option>
    </select>
  </div>
  <div class="form-group">
    <button type="submit" class="btn btn-primary btn-lg"
            [disabled]="form.invalid || (fullName.pristine && userRoleSel.pristine)">SUBMIT
    </button>
  </div>
</form>
